<?php
namespace ZRay\Wordpress;

class WpQuery
{
	public function beforeExit(&$storage)
	{
		global $wp_query;

		if (!$wp_query || !function_exists('get_queried_object'))
			return;

		$query = [];
		if (!empty($wp_query->query)) {
			$query['Query Arguments'] = http_build_query($wp_query->query);
		}
		if (!empty($wp_query->request)) {
			$query['SQL Query'] = trim(str_replace(["\n", "\t", '  '], ' ', $wp_query->request));
		}
		$queriedObject = get_queried_object();
		if (!empty($queriedObject)) {
			$o = json_decode(json_encode($queriedObject), true);
			if (isset($o['post_content']) && strlen($o['post_content']) > 128) {
				$o['post_content'] = substr($o['post_content'], 0, 128) . '...';
			}
			$query['Object'] = $o;
		}

		$storage['WP Query'][] = $query;
	}
}